apiVersion: tekton.dev/v1
kind: PipelineRun
metadata:
  generateName: windows11-installer-run-
  annotations:
    tekton.dev/tags: kubevirt
    tekton.dev/categories: Automation
    artifacthub.io/provider: Red Hat
    chains.tekton.dev/signed: 'true'
    tekton.dev/platforms: linux/amd64
    tekton.dev/pipelines.minVersion: 0.43.0
    artifacthub.io/category: integration-delivery
    artifacthub.io/recommendations: |
      - url: https://kubevirt.io/
    artifacthub.io/maintainers: |
      - name: KubeVirt Tekton tasks maintainers
        email: kubevirt-tekton-tasks@redhat.com
    tekton.dev/displayName: OpenShift Virtualization Windows UEFI installer
  resourceVersion: '2798120996'
  name: windows11-installer-run-ncw5d
  uid: 8d445e3f-09d8-4f30-9e6e-d6d1d346a78a
  creationTimestamp: '2024-03-27T08:24:58Z'
  generation: 1
  managedFields:
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:generateName': {}
        'f:spec':
          .: {}
          'f:params': {}
          'f:pipelineRef':
            .: {}
            'f:params': {}
            'f:resolver': {}
          'f:taskRunSpecs': {}
      manager: Mozilla
      operation: Update
      time: '2024-03-27T08:24:57Z'
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:tekton.dev/platforms': {}
            'f:artifacthub.io/category': {}
            .: {}
            'f:artifacthub.io/recommendations': {}
            'f:artifacthub.io/maintainers': {}
            'f:tekton.dev/displayName': {}
            'f:tekton.dev/tags': {}
            'f:tekton.dev/categories': {}
            'f:artifacthub.io/provider': {}
            'f:tekton.dev/pipelines.minVersion': {}
          'f:labels':
            .: {}
            'f:app.kubernetes.io/version': {}
            'f:tekton.dev/pipeline': {}
      manager: openshift-pipelines-controller
      operation: Update
      time: '2024-03-27T08:24:59Z'
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:chains.tekton.dev/signed': {}
          'f:finalizers':
            .: {}
            'v:"chains.tekton.dev/pipelinerun"': {}
      manager: openshift-pipelines-chains-controller
      operation: Update
      time: '2024-03-27T08:47:14Z'
    - apiVersion: tekton.dev/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:childReferences': {}
          'f:completionTime': {}
          'f:conditions': {}
          'f:finallyStartTime': {}
          'f:pipelineSpec':
            .: {}
            'f:description': {}
            'f:finally': {}
            'f:params': {}
            'f:results': {}
            'f:tasks': {}
          'f:startTime': {}
      manager: openshift-pipelines-controller
      operation: Update
      subresource: status
      time: '2024-03-27T08:47:14Z'
  namespace: ksimon
  finalizers:
    - chains.tekton.dev/pipelinerun
  labels:
    app.kubernetes.io/version: 4.15.0
    tekton.dev/pipeline: windows11-installer-run-ncw5d
spec:
  params:
    - name: baseDVNamespace
      value: ksimon
    - name: winImageDownloadURL
      value: 'https://software.download.prss.microsoft.com/dbazure/Win11_23H2_English_x64v2.iso?t=b3db1865-f4a6-4e4a-a2f9-daab349ee973&P1=1711528036&P2=601&P3=2&P4=Q%2f26a6ihCWls2LHs%2byc0Fe5TZa1t%2fKebw0asu7MIj3SY67PnEgk%2fyKek%2bgipfxh0F7uTKXBBO7%2fxG4y1nV5J1nrJU0ksowzBynsEeigxXTDjPU5OveEFyvAOykcp4XLhFbhp19ks9REcbGjAgf0nUQBS0iB2PQNou8mYkkL9UqZU07875vF3RmW79kN3kgoPkusyNDSR%2f9C9Wvh23mNvNeosB7XfPedIGCHLkhaLbYrHQie3WAOUBgrQb5d3ZEKAFSDFLjKX4%2fBtxYZ3v3gm8Lrj8EnxTiVHU7xZOkmeMYvABt2%2bMoFK2wrYVel3uDOx2BD5aRn0C03xJVX4bNMnGw%3d%3d'
  pipelineRef:
    params:
      - name: catalog
        value: redhat-pipelines
      - name: type
        value: artifact
      - name: kind
        value: pipeline
      - name: name
        value: windows-efi-installer
      - name: version
        value: 4.15.0
    resolver: hub
  taskRunSpecs:
    - pipelineTaskName: modify-windows-iso-file
      podTemplate:
        securityContext:
          fsGroup: 107
          runAsGroup: 107
          runAsUser: 107
  taskRunTemplate:
    serviceAccountName: pipeline
  timeouts:
    pipeline: 1h0m0s
status:
  childReferences:
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-import-win-iso
      pipelineTaskName: import-win-iso
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-modify-windows-iso-file
      pipelineTaskName: modify-windows-iso-file
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-create-vm-root-disk
      pipelineTaskName: create-vm-root-disk
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-create-vm
      pipelineTaskName: create-vm
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-wait-for-vmi-status
      pipelineTaskName: wait-for-vmi-status
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-create-base-dv
      pipelineTaskName: create-base-dv
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-cleanup-vm
      pipelineTaskName: cleanup-vm
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-delete-imported-iso
      pipelineTaskName: delete-imported-iso
    - apiVersion: tekton.dev/v1
      kind: TaskRun
      name: windows11-installer-run-ncw5d-delete-vm-rootdisk
      pipelineTaskName: delete-vm-rootdisk
  completionTime: '2024-03-27T08:47:14Z'
  conditions:
    - lastTransitionTime: '2024-03-27T08:47:14Z'
      message: 'Tasks Completed: 9 (Failed: 1, Cancelled 0), Skipped: 0'
      reason: Failed
      status: 'False'
      type: Succeeded
  finallyStartTime: '2024-03-27T08:47:08Z'
  pipelineSpec:
    description: This pipeline installs Windows 11/2k22 into a new DataVolume. Then the  DataVolume is suitable to be used as a default boot source or golden image  for Windows 11/2k22 VMs. Different OS versions requires different  customizeConfigMapName parameter with unattend.xml.
    finally:
      - name: cleanup-vm
        params:
          - name: vmName
            value: $(tasks.create-vm.results.name)
          - name: vmNamespace
            value: $(tasks.create-vm.results.namespace)
          - name: delete
            value: 'true'
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: cleanup-vm
            - name: version
              value: 4.15.0
          resolver: hub
        timeout: 10m0s
        status:
          completionTime: '2024-03-27T08:47:14Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:47:14Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-cleanup-vm-pod
          startTime: '2024-03-27T08:47:08Z'
          steps:
            - container: step-execute-in-vm
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: execute-in-vm
              terminated:
                containerID: 'cri-o://08db60d5ee7795014a926c5f1607c3057c80773c569c258117181370564198a2'
                exitCode: 0
                finishedAt: '2024-03-27T08:47:13Z'
                reason: Completed
                startedAt: '2024-03-27T08:47:12Z'
          taskSpec:
            description: Run commands in KubeVirt virtual machine. This task can stop and delete VMs
            params:
              - description: Name of a VM to execute the action in.
                name: vmName
                type: string
              - default: ''
                description: Namespace of a VM to execute the action in. (defaults to active namespace)
                name: vmNamespace
                type: string
              - default: 'true'
                description: Stops the VM after executing the commands when set to true.
                name: stop
                type: string
              - default: 'false'
                description: Deletes the VM after executing the commands when set to true.
                name: delete
                type: string
              - default: 30m
                description: Timeout for the command/script (includes potential VM start). The VM will be stopped or deleted accordingly once the timout expires. Should be in a 3h2m1s format.
                name: timeout
                type: string
              - default: __empty__
                description: Secret to use when connecting to a VM.
                name: secretName
                type: string
              - default: []
                description: Command to execute in a VM.
                name: command
                type: array
              - default: []
                description: Arguments of a command.
                name: args
                type: array
              - default: ''
                description: Script to execute in a VM.
                name: script
                type: string
            steps:
              - args:
                  - '--stop'
                  - 'true'
                  - '--delete'
                  - 'true'
                  - '--timeout'
                  - 30m
                  - '--'
                command:
                  - entrypoint
                computeResources: {}
                env:
                  - name: COMMAND
                    value: execute-in-vm
                  - name: VM_NAME
                    value: windows-efi-hcq76
                  - name: VM_NAMESPACE
                    value: ksimon
                  - name: EXECUTE_SCRIPT
                  - name: CONNECTION_SECRET_NAME
                    value: __empty__
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: execute-in-vm
                volumeMounts:
                  - mountPath: /data/connectionsecret/
                    name: connectionsecret
                    readOnly: true
            volumes:
              - name: connectionsecret
                secret:
                  optional: true
                  secretName: __empty__
          duration: 6s
          reason: Succeeded
      - name: delete-imported-iso
        params:
          - name: deleteObject
            value: 'true'
          - name: deleteObjectKind
            value: DataVolume
          - name: deleteObjectName
            value: $(tasks.import-win-iso.results.name)
          - name: namespace
            value: $(tasks.import-win-iso.results.namespace)
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: modify-data-object
            - name: version
              value: 4.15.0
          resolver: hub
        status:
          completionTime: '2024-03-27T08:47:13Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:47:13Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-delete-imported-iso-pod
          startTime: '2024-03-27T08:47:08Z'
          steps:
            - container: step-modify-data-object
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: modify-data-object
              terminated:
                containerID: 'cri-o://2909eaa954149f2934cea1bce61ae3a293aba152098ab6eeb7332d37d7972fe7'
                exitCode: 0
                finishedAt: '2024-03-27T08:47:12Z'
                reason: Completed
                startedAt: '2024-03-27T08:47:12Z'
          taskSpec:
            description: This task modifies a data object (DataVolume or DataSource). It can optionally wait until CDI imports finish.
            params:
              - default: ''
                description: YAML manifest of a data object to be created.
                name: manifest
                type: string
              - default: ''
                description: Namespace where to create the data object. (defaults to manifest namespace or active namespace)
                name: namespace
                type: string
              - default: 'false'
                description: Set to "true" or "false" if container should wait for Ready condition of the data object.
                name: waitForSuccess
                type: string
              - default: 'false'
                description: Allow replacing an already existing data object (same combination name/namespace). Allowed values true/false
                name: allowReplace
                type: string
              - default: 'false'
                description: 'Set to `true` or `false` if task should delete the specified DataVolume, DataSource or PersistentVolumeClaim. If set to ''true'' the ds/dv/pvc will be deleted and all other parameters are ignored.'
                name: deleteObject
                type: string
              - default: ''
                description: Kind of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectKind
                type: string
              - default: ''
                description: Name of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectName
                type: string
            results:
              - description: The name of the data object that was created.
                name: name
                type: string
              - description: The namespace of the data object that was created.
                name: namespace
                type: string
            steps:
              - args:
                  - '--output=yaml'
                command:
                  - modify-data-object
                computeResources: {}
                env:
                  - name: DATA_OBJECT_MANIFEST
                  - name: DATA_OBJECT_NAMESPACE
                    value: ksimon
                  - name: WAIT_FOR_SUCCESS
                    value: 'false'
                  - name: ALLOW_REPLACE
                    value: 'false'
                  - name: DELETE_OBJECT
                    value: 'true'
                  - name: DELETE_OBJECT_KIND
                    value: DataVolume
                  - name: DELETE_OBJECT_NAME
                    value: win11-cdnnf
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: modify-data-object
          duration: 5s
          reason: Succeeded
      - name: delete-vm-rootdisk
        params:
          - name: deleteObject
            value: 'true'
          - name: deleteObjectKind
            value: DataVolume
          - name: deleteObjectName
            value: $(tasks.create-vm-root-disk.results.name)
          - name: namespace
            value: $(tasks.create-vm-root-disk.results.namespace)
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: modify-data-object
            - name: version
              value: 4.15.0
          resolver: hub
        status:
          completionTime: '2024-03-27T08:47:13Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:47:13Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-delete-vm-rootdisk-pod
          startTime: '2024-03-27T08:47:08Z'
          steps:
            - container: step-modify-data-object
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: modify-data-object
              terminated:
                containerID: 'cri-o://34163788c0b2e79afc5dbedf70f3b5a9746ba6cff720a9ec7b61df549f144977'
                exitCode: 0
                finishedAt: '2024-03-27T08:47:12Z'
                reason: Completed
                startedAt: '2024-03-27T08:47:12Z'
          taskSpec:
            description: This task modifies a data object (DataVolume or DataSource). It can optionally wait until CDI imports finish.
            params:
              - default: ''
                description: YAML manifest of a data object to be created.
                name: manifest
                type: string
              - default: ''
                description: Namespace where to create the data object. (defaults to manifest namespace or active namespace)
                name: namespace
                type: string
              - default: 'false'
                description: Set to "true" or "false" if container should wait for Ready condition of the data object.
                name: waitForSuccess
                type: string
              - default: 'false'
                description: Allow replacing an already existing data object (same combination name/namespace). Allowed values true/false
                name: allowReplace
                type: string
              - default: 'false'
                description: 'Set to `true` or `false` if task should delete the specified DataVolume, DataSource or PersistentVolumeClaim. If set to ''true'' the ds/dv/pvc will be deleted and all other parameters are ignored.'
                name: deleteObject
                type: string
              - default: ''
                description: Kind of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectKind
                type: string
              - default: ''
                description: Name of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectName
                type: string
            results:
              - description: The name of the data object that was created.
                name: name
                type: string
              - description: The namespace of the data object that was created.
                name: namespace
                type: string
            steps:
              - args:
                  - '--output=yaml'
                command:
                  - modify-data-object
                computeResources: {}
                env:
                  - name: DATA_OBJECT_MANIFEST
                  - name: DATA_OBJECT_NAMESPACE
                    value: ksimon
                  - name: WAIT_FOR_SUCCESS
                    value: 'false'
                  - name: ALLOW_REPLACE
                    value: 'false'
                  - name: DELETE_OBJECT
                    value: 'true'
                  - name: DELETE_OBJECT_KIND
                    value: DataVolume
                  - name: DELETE_OBJECT_NAME
                    value: windows-efi-root-disk-jw7dd
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: modify-data-object
          duration: 5s
          reason: Succeeded
    params:
      - description: 'Download URL to Windows 11 or server 2022 installation ISO (English United States x64 version is needed). You can follow https://www.microsoft.com/en-us/software-download/windows11 or https://www.microsoft.com/en-us/evalcenter/evaluate-windows-server-2022 to get one.'
        name: winImageDownloadURL
        type: string
      - default: u1.large
        description: Name of VirtualMachineClusterInstancetype object
        name: instanceTypeName
        type: string
      - default: VirtualMachineClusterInstancetype
        description: Kind of VirtualMachineInstancetype object
        name: instanceTypeKind
        type: string
      - default: windows.11
        description: Name of VirtualMachineClusterPreference object
        name: preferenceName
        type: string
      - default: VirtualMachineClusterPreference
        description: Kind of virtualMachinePreference object
        name: virtualMachinePreferenceKind
        type: string
      - default: windows11-autounattend
        description: 'Name of the ConfigMap containing the sysprep configuration files (autounattend.xml, etc.). For example windows11-autounattend or windows2022-autounattend. It is possible to provide customize ConfigMaps created by the user too.'
        name: autounattendConfigMapName
        type: string
      - default: 'registry.redhat.io/container-native-virtualization/virtio-win-rhel9:v4.15.0'
        description: Reference to the containerdisk containing the virtio-win drivers ISO.
        name: virtioContainerDiskName
        type: string
      - default: win11
        description: Name of the base DataVolume which is created. Pre-installed Windows VMs can be created from this DataVolume.
        name: baseDvName
        type: string
      - default: openshift-virtualization-os-images
        description: Namespace of the base DataVolume which is created.
        name: baseDvNamespace
        type: string
      - default: win11
        description: Name of Windows ISO datavolume
        name: isoDVName
        type: string
    results:
      - description: Name of the created base DataVolume
        name: baseDvName
        value: $(tasks.create-base-dv.results.name)
      - description: Namespace of the created base DataVolume
        name: baseDvNamespace
        value: $(tasks.create-base-dv.results.namespace)
    tasks:
      - name: import-win-iso
        params:
          - name: manifest
            value: |-
              apiVersion: cdi.kubevirt.io/v1beta1
              kind: DataVolume
              metadata:
                generateName: win11-
              spec:
                source:
                  http:
                    url: https://software.download.prss.microsoft.com/dbazure/Win11_23H2_English_x64v2.iso?t=b3db1865-f4a6-4e4a-a2f9-daab349ee973&P1=1711528036&P2=601&P3=2&P4=Q%2f26a6ihCWls2LHs%2byc0Fe5TZa1t%2fKebw0asu7MIj3SY67PnEgk%2fyKek%2bgipfxh0F7uTKXBBO7%2fxG4y1nV5J1nrJU0ksowzBynsEeigxXTDjPU5OveEFyvAOykcp4XLhFbhp19ks9REcbGjAgf0nUQBS0iB2PQNou8mYkkL9UqZU07875vF3RmW79kN3kgoPkusyNDSR%2f9C9Wvh23mNvNeosB7XfPedIGCHLkhaLbYrHQie3WAOUBgrQb5d3ZEKAFSDFLjKX4%2fBtxYZ3v3gm8Lrj8EnxTiVHU7xZOkmeMYvABt2%2bMoFK2wrYVel3uDOx2BD5aRn0C03xJVX4bNMnGw%3d%3d
                storage:
                  volumeMode: Filesystem
                  resources:
                    requests:
                      storage: 9Gi
          - name: waitForSuccess
            value: 'false'
          - name: allowReplace
            value: 'true'
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: modify-data-object
            - name: version
              value: 4.15.0
          resolver: hub
        status:
          completionTime: '2024-03-27T08:25:32Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:25:32Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-import-win-iso-pod
          results:
            - name: name
              type: string
              value: win11-cdnnf
            - name: namespace
              type: string
              value: ksimon
          startTime: '2024-03-27T08:25:02Z'
          steps:
            - container: step-modify-data-object
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: modify-data-object
              terminated:
                containerID: 'cri-o://5e364c503b40dd0db65cc49d665db25863e3e8cf2292edcb7e1c2b42269104e7'
                exitCode: 0
                finishedAt: '2024-03-27T08:25:31Z'
                message: '[{"key":"name","value":"win11-cdnnf","type":1},{"key":"namespace","value":"ksimon","type":1}]'
                reason: Completed
                startedAt: '2024-03-27T08:25:31Z'
          taskSpec:
            description: This task modifies a data object (DataVolume or DataSource). It can optionally wait until CDI imports finish.
            params:
              - default: ''
                description: YAML manifest of a data object to be created.
                name: manifest
                type: string
              - default: ''
                description: Namespace where to create the data object. (defaults to manifest namespace or active namespace)
                name: namespace
                type: string
              - default: 'false'
                description: Set to "true" or "false" if container should wait for Ready condition of the data object.
                name: waitForSuccess
                type: string
              - default: 'false'
                description: Allow replacing an already existing data object (same combination name/namespace). Allowed values true/false
                name: allowReplace
                type: string
              - default: 'false'
                description: 'Set to `true` or `false` if task should delete the specified DataVolume, DataSource or PersistentVolumeClaim. If set to ''true'' the ds/dv/pvc will be deleted and all other parameters are ignored.'
                name: deleteObject
                type: string
              - default: ''
                description: Kind of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectKind
                type: string
              - default: ''
                description: Name of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectName
                type: string
            results:
              - description: The name of the data object that was created.
                name: name
                type: string
              - description: The namespace of the data object that was created.
                name: namespace
                type: string
            steps:
              - args:
                  - '--output=yaml'
                command:
                  - modify-data-object
                computeResources: {}
                env:
                  - name: DATA_OBJECT_MANIFEST
                    value: |-
                      apiVersion: cdi.kubevirt.io/v1beta1
                      kind: DataVolume
                      metadata:
                        generateName: win11-
                      spec:
                        source:
                          http:
                            url: https://software.download.prss.microsoft.com/dbazure/Win11_23H2_English_x64v2.iso?t=b3db1865-f4a6-4e4a-a2f9-daab349ee973&P1=1711528036&P2=601&P3=2&P4=Q%2f26a6ihCWls2LHs%2byc0Fe5TZa1t%2fKebw0asu7MIj3SY67PnEgk%2fyKek%2bgipfxh0F7uTKXBBO7%2fxG4y1nV5J1nrJU0ksowzBynsEeigxXTDjPU5OveEFyvAOykcp4XLhFbhp19ks9REcbGjAgf0nUQBS0iB2PQNou8mYkkL9UqZU07875vF3RmW79kN3kgoPkusyNDSR%2f9C9Wvh23mNvNeosB7XfPedIGCHLkhaLbYrHQie3WAOUBgrQb5d3ZEKAFSDFLjKX4%2fBtxYZ3v3gm8Lrj8EnxTiVHU7xZOkmeMYvABt2%2bMoFK2wrYVel3uDOx2BD5aRn0C03xJVX4bNMnGw%3d%3d
                        storage:
                          volumeMode: Filesystem
                          resources:
                            requests:
                              storage: 9Gi
                  - name: DATA_OBJECT_NAMESPACE
                  - name: WAIT_FOR_SUCCESS
                    value: 'false'
                  - name: ALLOW_REPLACE
                    value: 'true'
                  - name: DELETE_OBJECT
                    value: 'false'
                  - name: DELETE_OBJECT_KIND
                  - name: DELETE_OBJECT_NAME
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: modify-data-object
          duration: 30s
          reason: Succeeded
      - name: modify-windows-iso-file
        params:
          - name: pvcName
            value: $(tasks.import-win-iso.results.name)
        runAfter:
          - import-win-iso
          - create-vm-root-disk
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: modify-windows-iso-file
            - name: version
              value: 4.15.0
          resolver: hub
        status:
          completionTime: '2024-03-27T08:29:55Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:29:55Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-modify-windows-iso-file-pod
          startTime: '2024-03-27T08:25:32Z'
          steps:
            - container: step-modify-iso-file
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-disk-virt-customize-rhel9@sha256:71ab337dbf81a2f82a502048ec4961a89a95412e5e3d221eb7d55eeba2f44549'
              name: modify-iso-file
              terminated:
                containerID: 'cri-o://a74d276c253b1e1615abc6351e3be240d376dcbefb1b77c68035b1fda83a24d2'
                exitCode: 0
                finishedAt: '2024-03-27T08:29:26Z'
                reason: Completed
                startedAt: '2024-03-27T08:28:39Z'
            - container: step-create-iso-file
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: create-iso-file
              terminated:
                containerID: 'cri-o://b77902f83e03091fc58b7447076d83889f433c446b65df822ee244285d205ea5'
                exitCode: 0
                finishedAt: '2024-03-27T08:29:35Z'
                reason: Completed
                startedAt: '2024-03-27T08:29:26Z'
            - container: step-convert-iso-file
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-disk-virt-customize-rhel9@sha256:71ab337dbf81a2f82a502048ec4961a89a95412e5e3d221eb7d55eeba2f44549'
              name: convert-iso-file
              terminated:
                containerID: 'cri-o://3f7b723a37e0ed146ad4aa47a710b7fd7d00e619266a574f75391cc81f8e9b55'
                exitCode: 0
                finishedAt: '2024-03-27T08:29:54Z'
                reason: Completed
                startedAt: '2024-03-27T08:29:35Z'
          taskSpec:
            description: 'This tasks is modifying windows iso file. It replaces prompt  bootloader with non prompt one. This helps with automation of  windows installation which requires EFI - the prompt bootloader will not  continue with installation until some key is pressed. The non prompt  bootloader will not require any key press. This task is used in  combination with KubeVirt. It is part of windows-efi-installer pipeline  https://github.com/kubevirt/kubevirt-tekton-tasks/tree/main/release/pipelines/windows-efi-installer.'
            params:
              - default: ''
                description: PersistentVolumeClaim which contains windows iso.
                name: pvcName
                type: string
            steps:
              - computeResources:
                  limits:
                    devices.kubevirt.io/kvm: '1'
                  requests:
                    devices.kubevirt.io/kvm: '1'
                env:
                  - name: LIBGUESTFS_BACKEND
                    value: direct
                  - name: HOME
                    value: /usr/local/lib/guestfs/appliance
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-disk-virt-customize-rhel9:v4.15.0'
                name: modify-iso-file
                script: |
                  #!/bin/bash
                  set -x

                  export LIBGUESTFS_PATH=/usr/local/lib/guestfs/appliance
                  export ISO_FILES_PATH="/tmp/extracted-iso-files"
                  export EFI_BOOT="${ISO_FILES_PATH}/efi/microsoft/boot"
                  export TARGET_IMG_FILE_PATH="tmp/target-pvc/disk.img"

                  guestfish -a ${TARGET_IMG_FILE_PATH} -m /dev/sda tar-out / - | tar xvf - -C ${ISO_FILES_PATH} -m --no-overwrite-dir --owner=$(id -u) --group=$(id -g) --no-same-permissions

                  if [ ! -f ${EFI_BOOT}/efisys_noprompt.bin ] || [ ! -f ${EFI_BOOT}/cdboot_noprompt.efi ]; then
                    echo "${EFI_BOOT}/efisys_noprompt.bin or ${EFI_BOOT}/cdboot_noprompt.efi not found in the iso file! Exiting"
                    exit 1
                  fi

                  chmod u+w "${ISO_FILES_PATH}/efi" "${ISO_FILES_PATH}/efi/microsoft" "${ISO_FILES_PATH}/efi/microsoft/boot"
                  chmod u+w "${EFI_BOOT}/efisys.bin" "${EFI_BOOT}/cdboot.efi" "${EFI_BOOT}/efisys_noprompt.bin" "${EFI_BOOT}/cdboot_noprompt.efi"

                  rm "${EFI_BOOT}/efisys.bin" "${EFI_BOOT}/cdboot.efi"

                  mv "${EFI_BOOT}/efisys_noprompt.bin" "${EFI_BOOT}/efisys.bin"
                  mv "${EFI_BOOT}/cdboot_noprompt.efi" "${EFI_BOOT}/cdboot.efi"
                securityContext:
                  allowPrivilegeEscalation: false
                  capabilities:
                    drop:
                      - ALL
                volumeMounts:
                  - mountPath: /tmp/target-pvc/
                    name: target-pvc
                  - mountPath: /tmp/extracted-iso-files/
                    name: extracted-iso-files
              - computeResources: {}
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: create-iso-file
                script: |
                  #!/bin/bash
                  set -ex
                  export ISO_FILES_PATH="/tmp/extracted-iso-files"
                  export ISO_FILE_PATH="/tmp/iso-file/disk.iso"

                  xorriso -as mkisofs -no-emul-boot \
                      -e "efi/microsoft/boot/efisys.bin" \
                      -boot-load-size 1 \
                      -iso-level 4 \
                      -J -l -D -N \
                      -joliet-long \
                      -relaxed-filenames \
                      -V "WINDOWS" \
                      -o ${ISO_FILE_PATH} ${ISO_FILES_PATH}
                securityContext:
                  allowPrivilegeEscalation: false
                  capabilities:
                    drop:
                      - ALL
                volumeMounts:
                  - mountPath: /tmp/extracted-iso-files/
                    name: extracted-iso-files
                  - mountPath: /tmp/iso-file/
                    name: iso-file
              - computeResources: {}
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-disk-virt-customize-rhel9:v4.15.0'
                name: convert-iso-file
                script: |
                  #!/bin/bash
                  set -x
                  export ISO_FILE_PATH="/tmp/iso-file/disk.iso"
                  export TARGET_IMG_FILE_PATH="/tmp/target-pvc/disk.img"

                  rm ${TARGET_IMG_FILE_PATH}
                  qemu-img convert -t writeback -p -O raw ${ISO_FILE_PATH} ${TARGET_IMG_FILE_PATH}
                securityContext:
                  allowPrivilegeEscalation: false
                  capabilities:
                    drop:
                      - ALL
                volumeMounts:
                  - mountPath: /tmp/target-pvc/
                    name: target-pvc
                  - mountPath: /tmp/iso-file/
                    name: iso-file
            volumes:
              - name: target-pvc
                persistentVolumeClaim:
                  claimName: win11-cdnnf
              - emptyDir:
                  sizeLimit: 12Gi
                name: extracted-iso-files
              - emptyDir:
                  sizeLimit: 12Gi
                name: iso-file
          duration: 4m 23s
          reason: Succeeded
      - name: create-vm-root-disk
        params:
          - name: manifest
            value: |-
              apiVersion: cdi.kubevirt.io/v1beta1
              kind: DataVolume
              metadata:
                generateName: windows-efi-root-disk-
              spec:
                storage:
                  resources:
                    requests:
                      storage: 20Gi
                source:
                  blank: {}
          - name: waitForSuccess
            value: 'false'
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: modify-data-object
            - name: version
              value: 4.15.0
          resolver: hub
        status:
          completionTime: '2024-03-27T08:25:32Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:25:32Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-create-vm-root-disk-pod
          results:
            - name: name
              type: string
              value: windows-efi-root-disk-jw7dd
            - name: namespace
              type: string
              value: ksimon
          startTime: '2024-03-27T08:25:02Z'
          steps:
            - container: step-modify-data-object
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: modify-data-object
              terminated:
                containerID: 'cri-o://af82373c29fad820c53af8a87542bd895519718ae5ec2f4f178fcff51a4a7609'
                exitCode: 0
                finishedAt: '2024-03-27T08:25:31Z'
                message: '[{"key":"name","value":"windows-efi-root-disk-jw7dd","type":1},{"key":"namespace","value":"ksimon","type":1}]'
                reason: Completed
                startedAt: '2024-03-27T08:25:31Z'
          taskSpec:
            description: This task modifies a data object (DataVolume or DataSource). It can optionally wait until CDI imports finish.
            params:
              - default: ''
                description: YAML manifest of a data object to be created.
                name: manifest
                type: string
              - default: ''
                description: Namespace where to create the data object. (defaults to manifest namespace or active namespace)
                name: namespace
                type: string
              - default: 'false'
                description: Set to "true" or "false" if container should wait for Ready condition of the data object.
                name: waitForSuccess
                type: string
              - default: 'false'
                description: Allow replacing an already existing data object (same combination name/namespace). Allowed values true/false
                name: allowReplace
                type: string
              - default: 'false'
                description: 'Set to `true` or `false` if task should delete the specified DataVolume, DataSource or PersistentVolumeClaim. If set to ''true'' the ds/dv/pvc will be deleted and all other parameters are ignored.'
                name: deleteObject
                type: string
              - default: ''
                description: Kind of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectKind
                type: string
              - default: ''
                description: Name of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectName
                type: string
            results:
              - description: The name of the data object that was created.
                name: name
                type: string
              - description: The namespace of the data object that was created.
                name: namespace
                type: string
            steps:
              - args:
                  - '--output=yaml'
                command:
                  - modify-data-object
                computeResources: {}
                env:
                  - name: DATA_OBJECT_MANIFEST
                    value: |-
                      apiVersion: cdi.kubevirt.io/v1beta1
                      kind: DataVolume
                      metadata:
                        generateName: windows-efi-root-disk-
                      spec:
                        storage:
                          resources:
                            requests:
                              storage: 20Gi
                        source:
                          blank: {}
                  - name: DATA_OBJECT_NAMESPACE
                  - name: WAIT_FOR_SUCCESS
                    value: 'false'
                  - name: ALLOW_REPLACE
                    value: 'false'
                  - name: DELETE_OBJECT
                    value: 'false'
                  - name: DELETE_OBJECT_KIND
                  - name: DELETE_OBJECT_NAME
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: modify-data-object
          duration: 30s
          reason: Succeeded
      - name: create-vm
        params:
          - name: runStrategy
            value: RerunOnFailure
          - name: manifest
            value: |-
              apiVersion: kubevirt.io/v1
              kind: VirtualMachine
              metadata:
                generateName: windows-efi-
              spec:
                instancetype:
                  kind: VirtualMachineClusterInstancetype
                  name: u1.large
                preference:
                  kind: VirtualMachineClusterPreference
                  name: windows.11
                template:
                  spec:
                    evictionStrategy: LiveMigrateIfPossible
                    domain:
                      devices:
                        disks:
                          - cdrom:
                              bus: sata
                            name: installcdrom
                            bootOrder: 2
                          - disk:
                              bus: virtio
                            name: rootdisk
                            bootOrder: 1
                          - cdrom:
                              bus: sata
                            name: virtiocontainerdisk
                          - cdrom:
                              bus: sata
                            name: sysprep
                    volumes:
                    - name: installcdrom
                      persistentVolumeClaim:
                        claimName: $(tasks.import-win-iso.results.name)
                    - name: virtiocontainerdisk
                      containerDisk:
                        image: registry.redhat.io/container-native-virtualization/virtio-win-rhel9:v4.15.0
                    - name: sysprep
                      sysprep:
                        configMap: 
                          name: windows11-autounattend
                    - dataVolume:
                        name:  $(tasks.create-vm-root-disk.results.name)
                      name: rootdisk
        runAfter:
          - modify-windows-iso-file
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: create-vm-from-manifest
            - name: version
              value: 4.15.0
          resolver: hub
        status:
          completionTime: '2024-03-27T08:30:00Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:30:00Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-create-vm-pod
          results:
            - name: name
              type: string
              value: windows-efi-hcq76
            - name: namespace
              type: string
              value: ksimon
          startTime: '2024-03-27T08:29:55Z'
          steps:
            - container: step-createvm
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: createvm
              terminated:
                containerID: 'cri-o://fa7ae2ceacab308a5315415404110cff60fbc599e8f1cd4a36b7bca74dcd59e2'
                exitCode: 0
                finishedAt: '2024-03-27T08:29:59Z'
                message: '[{"key":"name","value":"windows-efi-hcq76","type":1},{"key":"namespace","value":"ksimon","type":1}]'
                reason: Completed
                startedAt: '2024-03-27T08:29:59Z'
          taskSpec:
            description: Automates creation of the KubeVirt virtual machine. User can create VM from manifest or with the same parameters as for virtctl. It is possible to immediatelly start the vm after creation with startVM parameter.
            params:
              - default: ''
                description: YAML manifest of a VirtualMachine resource to be created.
                name: manifest
                type: string
              - default: ''
                description: Parameters for virtctl create vm command that will be used to create VirtualMachine.
                name: virtctl
                type: string
              - default: ''
                description: Namespace where to create the VM. (defaults to manifest namespace or active namespace)
                name: namespace
                type: string
              - default: ''
                description: 'Set to true or false to start / not start vm after creation. In case of runStrategy is set to Always, startVM flag is ignored.'
                name: startVM
                type: string
              - default: ''
                description: 'Set runStrategy to VM. If runStrategy is set, vm.spec.running attribute is set to nil.'
                name: runStrategy
                type: string
            results:
              - description: The name of a VM that was created.
                name: name
                type: string
              - description: The namespace of a VM that was created.
                name: namespace
                type: string
            steps:
              - args:
                  - '--output=yaml'
                command:
                  - create-vm
                computeResources: {}
                env:
                  - name: VM_MANIFEST
                    value: |-
                      apiVersion: kubevirt.io/v1
                      kind: VirtualMachine
                      metadata:
                        generateName: windows-efi-
                      spec:
                        instancetype:
                          kind: VirtualMachineClusterInstancetype
                          name: u1.large
                        preference:
                          kind: VirtualMachineClusterPreference
                          name: windows.11
                        template:
                          spec:
                            evictionStrategy: LiveMigrateIfPossible
                            domain:
                              devices:
                                disks:
                                  - cdrom:
                                      bus: sata
                                    name: installcdrom
                                    bootOrder: 2
                                  - disk:
                                      bus: virtio
                                    name: rootdisk
                                    bootOrder: 1
                                  - cdrom:
                                      bus: sata
                                    name: virtiocontainerdisk
                                  - cdrom:
                                      bus: sata
                                    name: sysprep
                            volumes:
                            - name: installcdrom
                              persistentVolumeClaim:
                                claimName: win11-cdnnf
                            - name: virtiocontainerdisk
                              containerDisk:
                                image: registry.redhat.io/container-native-virtualization/virtio-win-rhel9:v4.15.0
                            - name: sysprep
                              sysprep:
                                configMap: 
                                  name: windows11-autounattend
                            - dataVolume:
                                name:  windows-efi-root-disk-jw7dd
                              name: rootdisk
                  - name: VM_NAMESPACE
                  - name: VIRTCTL
                  - name: START_VM
                  - name: RUN_STRATEGY
                    value: RerunOnFailure
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: createvm
          duration: 5s
          reason: Succeeded
      - name: wait-for-vmi-status
        params:
          - name: vmiName
            value: $(tasks.create-vm.results.name)
          - name: vmiNamespace
            value: $(tasks.create-vm.results.namespace)
          - name: successCondition
            value: status.phase == Succeeded
          - name: failureCondition
            value: 'status.phase in (Failed, Unknown)'
        runAfter:
          - create-vm
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: wait-for-vmi-status
            - name: version
              value: 4.15.0
          resolver: hub
        timeout: 2h0m0s
        status:
          completionTime: '2024-03-27T08:47:02Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:47:02Z'
              message: All Steps have completed executing
              reason: Succeeded
              status: 'True'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-wait-for-vmi-status-pod
          startTime: '2024-03-27T08:30:00Z'
          steps:
            - container: step-wait-for-vmi-status
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: wait-for-vmi-status
              terminated:
                containerID: 'cri-o://8befa24f035739b81ca0440dfe6c196be6bbb80f0ae606d64418b9b9fbf69edf'
                exitCode: 0
                finishedAt: '2024-03-27T08:47:02Z'
                reason: Completed
                startedAt: '2024-03-27T08:30:03Z'
          taskSpec:
            description: This tasks waits until KubeVirt virtual machine is in some  state. It can be used in pipeline where user needs to wait until e.g.  VM finish some installation.
            params:
              - description: Name of a VirtualMachineInstance to wait for.
                name: vmiName
                type: string
              - default: ''
                description: Namespace of a VirtualMachineInstance to wait for. (defaults to manifest namespace or active namespace)
                name: vmiNamespace
                type: string
              - default: ''
                description: A label selector expression to decide if the VirtualMachineInstance (VMI) is in a success state. Eg. "status.phase == Succeeded". It is evaluated on each VMI update and will result in this task succeeding if true.
                name: successCondition
                type: string
              - default: ''
                description: 'A label selector expression to decide if the VirtualMachineInstance (VMI) is in a failed state. Eg. "status.phase in (Failed, Unknown)". It is evaluated on each VMI update and will result in this task failing if true.'
                name: failureCondition
                type: string
            steps:
              - command:
                  - entrypoint
                computeResources: {}
                env:
                  - name: COMMAND
                    value: wait-for-vmi-status
                  - name: VMI_NAME
                    value: windows-efi-hcq76
                  - name: VMI_NAMESPACE
                    value: ksimon
                  - name: SUCCESS_CONDITION
                    value: status.phase == Succeeded
                  - name: FAILURE_CONDITION
                    value: 'status.phase in (Failed, Unknown)'
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: wait-for-vmi-status
          duration: 17m 2s
          reason: Succeeded
      - name: create-base-dv
        params:
          - name: manifest
            value: |
              apiVersion: cdi.kubevirt.io/v1beta1
              kind: DataVolume
              metadata:
                annotations:
                  "cdi.kubevirt.io/storage.bind.immediate.requested": "true"
                labels:
                  "instancetype.kubevirt.io/default-instancetype-kind": VirtualMachineClusterInstancetype
                  "instancetype.kubevirt.io/default-instancetype": u1.large
                  "instancetype.kubevirt.io/default-preference-kind": VirtualMachineClusterPreference
                  "instancetype.kubevirt.io/default-preference": windows.11
                name: win11
                namespace: openshift-virtualization-os-images
              spec:
                storage: {}
                source:
                  pvc:
                    name: $(tasks.create-vm-root-disk.results.name)
                    namespace: $(tasks.create-vm-root-disk.results.namespace)
          - name: waitForSuccess
            value: 'true'
          - name: allowReplace
            value: 'true'
        runAfter:
          - wait-for-vmi-status
        taskRef:
          kind: Task
          params:
            - name: catalog
              value: redhat-tekton-tasks
            - name: type
              value: artifact
            - name: kind
              value: task
            - name: name
              value: modify-data-object
            - name: version
              value: 4.15.0
          resolver: hub
        status:
          completionTime: '2024-03-27T08:47:08Z'
          conditions:
            - lastTransitionTime: '2024-03-27T08:47:08Z'
              message: '"step-modify-data-object" exited with code 2'
              reason: Failed
              status: 'False'
              type: Succeeded
          podName: windows11-installer-run-ncw5d-create-base-dv-pod
          startTime: '2024-03-27T08:47:03Z'
          steps:
            - container: step-modify-data-object
              imageID: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9@sha256:10a6f3c6af6b0cf7b84c13295a9482199e07de569736b0d619410656191bfc41'
              name: modify-data-object
              terminated:
                containerID: 'cri-o://08c52fb7558cdafea89d68111b17eda0d347530eabf15e456d67949d120d9ed3'
                exitCode: 2
                finishedAt: '2024-03-27T08:47:07Z'
                reason: Error
                startedAt: '2024-03-27T08:47:07Z'
          taskSpec:
            description: This task modifies a data object (DataVolume or DataSource). It can optionally wait until CDI imports finish.
            params:
              - default: ''
                description: YAML manifest of a data object to be created.
                name: manifest
                type: string
              - default: ''
                description: Namespace where to create the data object. (defaults to manifest namespace or active namespace)
                name: namespace
                type: string
              - default: 'false'
                description: Set to "true" or "false" if container should wait for Ready condition of the data object.
                name: waitForSuccess
                type: string
              - default: 'false'
                description: Allow replacing an already existing data object (same combination name/namespace). Allowed values true/false
                name: allowReplace
                type: string
              - default: 'false'
                description: 'Set to `true` or `false` if task should delete the specified DataVolume, DataSource or PersistentVolumeClaim. If set to ''true'' the ds/dv/pvc will be deleted and all other parameters are ignored.'
                name: deleteObject
                type: string
              - default: ''
                description: Kind of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectKind
                type: string
              - default: ''
                description: Name of the data object to delete. This parameter is used only for Delete operation.
                name: deleteObjectName
                type: string
            results:
              - description: The name of the data object that was created.
                name: name
                type: string
              - description: The namespace of the data object that was created.
                name: namespace
                type: string
            steps:
              - args:
                  - '--output=yaml'
                command:
                  - modify-data-object
                computeResources: {}
                env:
                  - name: DATA_OBJECT_MANIFEST
                    value: |
                      apiVersion: cdi.kubevirt.io/v1beta1
                      kind: DataVolume
                      metadata:
                        annotations:
                          "cdi.kubevirt.io/storage.bind.immediate.requested": "true"
                        labels:
                          "instancetype.kubevirt.io/default-instancetype-kind": VirtualMachineClusterInstancetype
                          "instancetype.kubevirt.io/default-instancetype": u1.large
                          "instancetype.kubevirt.io/default-preference-kind": VirtualMachineClusterPreference
                          "instancetype.kubevirt.io/default-preference": windows.11
                        name: win11
                        namespace: openshift-virtualization-os-images
                      spec:
                        storage: {}
                        source:
                          pvc:
                            name: windows-efi-root-disk-jw7dd
                            namespace: ksimon
                  - name: DATA_OBJECT_NAMESPACE
                  - name: WAIT_FOR_SUCCESS
                    value: 'true'
                  - name: ALLOW_REPLACE
                    value: 'true'
                  - name: DELETE_OBJECT
                    value: 'false'
                  - name: DELETE_OBJECT_KIND
                  - name: DELETE_OBJECT_NAME
                image: 'registry.redhat.io/container-native-virtualization/kubevirt-tekton-tasks-create-datavolume-rhel9:v4.15.0'
                name: modify-data-object
          duration: 5s
          reason: Failed
  startTime: '2024-03-27T08:24:58Z'
